Name:           xournalpp
Version:        1.2.3
Release:        %mkrel 2
Summary:        Note taking software designed around a tablet
License:        GPLv2+
Group:          Office/Utilities
Url:            https://github.com/xournalpp/xournalpp
Source0:        https://github.com/xournalpp/xournalpp/archive/v%{version}/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  texlive
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gtksourceview-4)
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libzip)
BuildRequires:  pkgconfig(poppler-glib)
BuildRequires:  pkgconfig(portaudiocpp)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  gettext

%description
Xournal++ is a hand note taking software.
It supports pen input, e.g. Wacom tablets.

%prep
%setup -q

%build
%cmake -DDISTRO_CODENAME="Mageia Linux"
%cmake_build

%install
%cmake_install

%find_lang xournalpp

%files -f xournalpp.lang
%license LICENSE
%doc AUTHORS README.md
%{_bindir}/xournalpp
%{_bindir}/xournalpp-thumbnailer
%{_datadir}/mime/packages/*.xml
%{_datadir}/applications/com.github.xournalpp.xournalpp.desktop
%{_datadir}/metainfo/com.github.xournalpp.xournalpp.appdata.xml
%{_datadir}/xournalpp/
%dir %{_datadir}/thumbnailers
%{_datadir}/thumbnailers/*.thumbnailer
%{_iconsdir}/hicolor/*/apps/*
%{_iconsdir}/hicolor/scalable/mimetypes/*.svg
%{_mandir}/man1/xournalpp*.1*


%changelog
* Sat Sep 28 2024 daviddavid <daviddavid> 1.2.3-2.mga10
+ Revision: 2101691
- rebuild for mageia 10

* Tue Mar 19 2024 joequant <joequant> 1.2.3-1.mga10
+ Revision: 2050607
- update to 1.2.3

* Tue Nov 07 2023 joequant <joequant> 1.2.2-1.mga10
+ Revision: 2005010
- update to 1.2.2

* Wed Jan 18 2023 daviddavid <daviddavid> 1.1.3-2.mga9
+ Revision: 1934308
- rebuild with fixed BRs

* Wed Dec 14 2022 papoteur <papoteur> 1.1.3-1.mga9
+ Revision: 1922025
- new 1.1.3

* Sat Nov 19 2022 joequant <joequant> 1.1.2-1.mga9
+ Revision: 1909007
- update to 1.1.2

* Thu Aug 11 2022 neoclust <neoclust> 1.1.1-1.mga9
+ Revision: 1876981
- New version 1.1.1

* Fri Apr 01 2022 umeabot <umeabot> 1.1.0-2.mga9
+ Revision: 1840023
- Mageia 9 Mass Rebuild

* Sat Jul 24 2021 joequant <joequant> 1.1.0-1.mga9
+ Revision: 1737573
- update to 1.1.0

* Thu Dec 24 2020 joequant <joequant> 1.0.20-1.mga8
+ Revision: 1663305
- update to 1.0.20

* Wed Jun 10 2020 joequant <joequant> 1.0.18-1.mga8
+ Revision: 1591841
- update to 1.0.18

* Tue Feb 18 2020 umeabot <umeabot> 1.0.16-3.mga8
+ Revision: 1541405
- Mageia 8 Mass Rebuild

* Fri Dec 27 2019 wally <wally> 1.0.16-2.mga8
+ Revision: 1470223
- build with new cmake macros
- don't own system dirs
- update license

* Mon Nov 11 2019 joequant <joequant> 1.0.16-1.mga8
+ Revision: 1459199
- update to 1.0.16

* Mon Nov 11 2019 joequant <joequant> 1.0.15-1.mga8
+ Revision: 1459125
- imported package xournalpp

